[arch-commits] Commit in enigma/trunk (PKGBUILD)

Allan McRae allan at archlinux.org
Sun Aug 17 00:18:01 EDT 2008


    Date: Sunday, August 17, 2008 @ 00:18:00
  Author: allan
Revision: 9152

upgpkg: enigma 1.04-2
    ncurses rebuild

Modified:
  enigma/trunk/PKGBUILD

----------+
 PKGBUILD |   26 ++++++++++++--------------
 1 file changed, 12 insertions(+), 14 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-17 04:17:00 UTC (rev 9151)
+++ PKGBUILD	2008-08-17 04:18:00 UTC (rev 9152)
@@ -4,24 +4,22 @@
 
 pkgname=enigma
 pkgver=1.04
-pkgrel=1
+pkgrel=2
 pkgdesc=" Enigma is a puzzle game involving falling blocks"
+arch=('i686' 'x86_64')
+url="http://www.chiark.greenend.org.uk/~sgtatham/enigma/"
+license=('custom')
 depends=('ncurses')
 source=(http://www.chiark.greenend.org.uk/~sgtatham/enigma/$pkgname-$pkgver.tar.gz)
-license=('custom')
-arch=('i686' 'x86_64')
 md5sums=('a54ee9ae40dae781560a3c2b1ce8f45d')
-url="http://www.chiark.greenend.org.uk/~sgtatham/enigma/"
 
-build() {
-cd $startdir/src/$pkgname-$pkgver
-./configure --prefix=/usr --localstatedir=/var
-sed -i "s/root\.games/root.root/" Makefile
-mkdir -p $startdir/pkg/usr/bin
-make || return 1
-make prefix=$startdir/pkg/usr localstatedir=$startdir/pkg/var install
 
-# install custom license
-install -Dm644 $srcdir/$pkgname-$pkgver/LICENSE \
-	$pkgdir/usr/share/licenses/$pkgname/LICENSE
+build() {
+  cd $startdir/src/$pkgname-$pkgver
+  ./configure --prefix=/usr --localstatedir=/var
+  sed -i "s/root\.games/root.root/" Makefile
+  mkdir -p $startdir/pkg/usr/bin
+  make || return 1
+  make prefix=$startdir/pkg/usr localstatedir=$startdir/pkg/var install
+  install -Dm644 LICENCE ${pkgdir}/usr/share/licenses/enigma/license
 }




More information about the arch-commits mailing list